Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class XMLSourceArrayCodec

    java.lang.Object
      weblogic.webservice.encoding.AbstractCodec
          weblogic.webservice.encoding.AttachmentCodec
              weblogic.webservice.encoding.XMLSourceArrayCodec

All Implemented Interfaces:
  Serializable, Deserializer, DeserializerFactory, Serializer, SerializerFactory

Deprecated. please migrate to jws for webservices

    public class XMLSourceArrayCodec

extends AttachmentCodec

See Also:
  Serialized Form

Constructor Summary
`XMLSourceArrayCodec()` Deprecated.

Method Summary
`protected Object` | `deserializeContent(Object input)` Deprecated.
`protected String` | `getContentType()` Deprecated.
`protected Object` | `serializeContent(Object input)` Deprecated.

Methods inherited from class weblogic.webservice.encoding.AttachmentCodec
`addBodyElement, deserialize, deserialize, deserialize, getAttachmentPart, serialize, serialize`

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSourceArrayCodec

    public XMLSourceArrayCodec()

  Deprecated.

Method Detail

### deserializeContent

    protected Object deserializeContent(Object input)

  Deprecated.
  Specified by:
    `deserializeContent` in class `AttachmentCodec`

### getContentType

    protected String getContentType()

  Deprecated.
  Specified by:
    `getContentType` in class `AttachmentCodec`

### serializeContent

    protected Object serializeContent(Object input)

  Deprecated.
  Specified by:
    `serializeContent` in class `AttachmentCodec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD